package com.steerinfo.baseinfo.meterbasecustomersupplier.service;

import com.steerinfo.baseinfo.dto.MeterBaseCustomerSupplierDto;
import com.steerinfo.framework.service.IBaseService;
import com.steerinfo.baseinfo.meterbasecustomersupplier.model.MeterBaseCustomerSupplier;
import com.steerinfo.framework.service.pagehelper.PageList;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * MeterBaseCustomerSupplier服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2020-06-15 11:14
 * 类描述
 * 修订历史：
 * 日期：2020-06-15
 * 作者：generator
 * 参考：
 * 描述：MeterBaseCustomerSupplier服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IMeterBaseCustomerSupplierService extends IBaseService<MeterBaseCustomerSupplier, String>{
    String checkandadd(MeterBaseCustomerSupplier model);

    String Recovery(List<MeterBaseCustomerSupplier> models);

    String abolish(List<MeterBaseCustomerSupplier> models);

    String checkandupdate(String id,MeterBaseCustomerSupplier model);

    List<MeterBaseCustomerSupplierDto> selectIn();

    List<MeterBaseCustomerSupplierDto> selectOut();

    List<MeterBaseCustomerSupplier> selectPrint();

    List<MeterBaseCustomerSupplier> queryAll(Map<String,Object> parmas);

    String audit(List<MeterBaseCustomerSupplier> models);

    String unaudit(List<MeterBaseCustomerSupplier> models);

    PageList<MeterBaseCustomerSupplier> selectByType(HashMap parmas, Integer pageNum, Integer pageSize);
}